Announcement Openmediavault 3.x - Important Information!

    This site uses cookies. By continuing to browse this site, you are agreeing to our Cookie Policy.

    • ryecoaaron wrote:

      HackitZ wrote:

      so if i have and use subsonic will the upgrade break it?
      It will if it isn't uninstalled.

      HackitZ wrote:

      before i upgrade should i turn all plugins off?
      No. They should upgrade. Sometimes it doesn't go smoothly though. Some plugins are better at upgrades than others.
      Thanks, i will wait for subsonic to be updated then. everyone in the family has an account. so if it goes down i'll never hear the end of it. lol
    • just upgraded a 2.x version of OMV without issues

      now a 2nd NAS (same hardware) and I see some issues

      Setting up openmediavault-backup (3.3.5) ...
      Processing triggers for libc-bin (2.19-18+deb8u6) ...
      Processing triggers for systemd (215-17+deb8u5) ...
      Processing triggers for resolvconf (1.76.1) ...
      Processing triggers for ca-certificates (20141019+deb8u1) ...
      Updating certificates in /etc/ssl/certs... 0 added, 0 removed; done.
      Running hooks in /etc/ca-certificates/update.d....done.
      Processing triggers for openmediavault (3.0.59) ...
      Updating locale files ...
      Updating file permissions ...
      Purging internal cache ...
      Restarting engine daemon ...
      Action failed -- Other action already in progress -- please try again later
      Failed to get D-Bus connection: Unknown error -1
      dpkg: error processing package openmediavault (--configure):
      subprocess installed post-installation script returned error exit status 1
      Errors were encountered while processing:
      openmediavault
      Creating index of upgradeable packages ...
      Creating index of openmediavault plugins ...
      E: Sub-process /usr/bin/dpkg returned an error code (1)

      I am already rebooting and crossing fingers to see how far the boot goes

      update reboot gives me a shell, but no openemediavault
      now apt-get update && apt-get upgrade to see what that does

      it is installing some things and telling me to use omv-initsystem

      but omv cannot be started

      root@nemo:~# /etc/init.d/openmediavault
      Cleaning up...rm: cannot remove ‘/var/lib/php5/modules’: Is a directory
      rm: cannot remove ‘/var/lib/php5/sessions’: Is a directory
      failed.

      a few time apt-get and omv-firstaid and I have a login screen but cannot logon now

      Jan 1 15:50:36 nemo monit[1060]: 'omv-engined' process is not running
      Jan 1 15:50:36 nemo monit[1060]: 'omv-engined' trying to restart
      Jan 1 15:50:36 nemo monit[1060]: 'omv-engined' start: /bin/systemctl
      Jan 1 15:50:36 nemo systemd[1]: Starting The OpenMediaVault engine daemon that processes the RPC request...
      Jan 1 15:50:36 nemo systemd[1]: PID file /var/run/omv-engined.pid not readable (yet?) after start.
      Jan 1 15:50:36 nemo systemd[1]: Started The OpenMediaVault engine daemon that processes the RPC request.
      Jan 1 15:50:36 nemo systemd[1]: openmediavault-engined.service: main process exited, code=exited, status=255/n/a
      Jan 1 15:50:36 nemo systemd[1]: Unit openmediavault-engined.service entered failed state.

      we are a little further with the errors

      PHP message: PHP Fatal error: Call to undefined function json_encode() in /usr/share/php/openmediavault/functions.inc on line 521" while reading response header from upstream, client: ::ffff:127.0.0.1, server: openmediavault-webgui, request: "GET / HTTP/1.1", upstream: "fastcgi://unix:/var/run/php5-fpm-openmediavault-webgui.sock:", host: "127.0.0.1"
      2017/01/01 15:13:16 [error] 775#0: *1 FastCGI sent in stderr: "PHP message: PHP Warning: fread(): Length parameter must be greater than 0 in /usr/share/php/openmediavault/json/file.inc on line 198
      PHP message: PHP Notice: Use of undefined constant JSON_PRETTY_PRINT - assumed 'JSON_PRETTY_PRINT' in /usr/share/php/openmediavault/json/file.inc on line 162
      PHP message: PHP Fatal error: Call to undefined function json_encode() in /usr/share/php/openmediavault/functions.inc on line 521" while reading response header from upstream, client: ::ffff:127.0.0.1, server: openmediavault-webgui, request: "GET / HTTP/1.1", upstream: "fastcgi://unix:/var/run/php5-fpm-openmediavault-webgui.sock:", host: "127.0.0.1"
      2017/01/01 15:13:46 [error] 1096#0: *1 FastCGI sent in stderr: "PHP message: PHP Warning: fread(): Length parameter must be greater than 0 in /usr/share/php/openmediavault/json/file.inc on line 198
      PHP message: PHP Notice: Use of undefined constant JSON_PRETTY_PRINT - assumed 'JSON_PRETTY_PRINT' in /usr/share/php/openmediavault/json/file.inc on line 162
      PHP message: PHP Fatal error: Call to undefined function json_encode() in /usr/share/php/openmediavault/functions.inc on line 521" while reading response header from upstream, client: ::ffff:127.0.0.1, server: openmediavault-webgui, request: "GET / HTTP/1.1", upstream: "fastcgi://unix:/var/run/php5-fpm-openmediavault-webgui.sock:", host: "127.0.0.1"
      2017/01/01 15:14:16 [error] 4154#0: *1 FastCGI sent in stderr: "PHP message: PHP Warning: fread(): Length parameter must be greater than 0 in /usr/share/php/openmediavault/json/file.inc on line 198
      PHP message: PHP Notice: Use of undefined constant JSON_PRETTY_PRINT - assumed 'JSON_PRETTY_PRINT' in /usr/share/php/openmediavault/json/file.inc on line 162
      PHP message: PHP Fatal error: Call to undefined function json_encode() in /usr/share/php/openmediavault/functions.inc on line 521" while reading response header from upstream, client: ::ffff:127.0.0.1, server: openmediavault-webgui, request: "GET / HTTP/1.1", upstream: "fastcgi://unix:/var/run/php5-fpm-openmediavault-webgui.sock:", host: "127.0.0.1"


      again some further with the omv-engined ..

      Registered filesystem backends:
      btrfs
      exfat
      ext
      ext2
      ext3
      ext4
      fuseblk
      hfsplus
      iso9660
      jfs
      msdos
      none
      ntfs
      reiserfs
      udf
      ufs
      umsdos
      vfat
      xfs
      PHP Fatal error: require_once(): Failed opening required 'openmediavault/object .inc' (include_path='.:/usr/share/php:/usr/share/pear') in /usr/share/openmediav ault/engined/rpc/dnsmasq.inc on line 25


      seems that the dnsmasq plugin was not upgraded to a 3.x version, so I am removing it and trying to reboot

      dnsmasq is the issue, as I read somewhere else that the plugin will not be ported I assumed the upgrade would have disabled it by default (it was not) .. so not sure what was causing the upgrade to stop, but finally after removing the dnsmasq part, all sees to be working
      4x HP Microserver gen8, 3x with OMV. Puffer: 4x3TB RAID5; Nemo:4x3TB RAID5; Shark: 4x2TB RAID5

      The post was edited 6 times, last by aroundmyroom ().

    • Hello!

      Can you tell me, which is the latest 3.x-Release? In my updatelist remoteshare is shown in version 3.0.2, but when i start the update, i get the following error-message:



      Source Code

      1. Reading package lists...
      2. Building dependency tree...
      3. Reading state information...
      4. >>> *************** Error ***************
      5. Failed to execute command 'export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin; export LANG=C; export DEBIAN_FRONTEND=noninteractive; apt-get --yes --force-yes --fix-missing --auto-remove --allow-unauthenticated --show-upgraded --option DPkg::Options::="--force-confold" install openmediavault-remotemount 2>&1': Reading package lists...
      6. Building dependency tree...
      7. Reading state information...
      8. Some packages could not be installed. This may mean that you have
      9. requested an impossible situation or if you are using the unstable
      10. distribution that some required packages have not yet been created
      11. or been moved out of Incoming.
      12. The following information may help to resolve the situation:
      13. The following packages have unmet dependencies:
      14. openmediavault-remotemount : Depends: openmediavault (>= 3.0.60) but 3.0.59 is to be installed
      15. E: Unable to correct problems, you have held broken packages.
      16. <<< *************************************
      Display All
    • e36Alex wrote:

      Can you tell me, which is the latest 3.x-Release? In my updatelist remoteshare is shown in version 3.0.2, but when i start the update,
      You don't need the update until you get OMV 3.0.60. I just put it in the repo too soon. Ignore it for a few days until 3.0.60 is released.
      omv 3.0.76 erasmus | 64 bit | 4.9 backport kernel | omvextrasorg 3.4.25
      omv-extras.org plugins source code and issue tracker - github.com/OpenMediaVault-Plugin-Developers

      Please don't PM for support... Too many PMs!
    • HerrVorragend wrote:

      Is there a release date for the final version of OMV3 ?
      No but I recommend using it. It should be soon though.
      omv 3.0.76 erasmus | 64 bit | 4.9 backport kernel | omvextrasorg 3.4.25
      omv-extras.org plugins source code and issue tracker - github.com/OpenMediaVault-Plugin-Developers

      Please don't PM for support... Too many PMs!
    • Thanks for all the work here. I updated omv to version 3. The upgrade went very far but at after a long time I got an error. After reboot the interface does not work any more. I dit apt-get upgrade and now the shares are working, but not the interface. Omv-init is not found. OMV-firstaid starts but the option 2 gives: ERROR: [Errno 2] No such file or directory.
      any assistance would be greatly appriciated.
    • Thank you!!1

      root@opennas:~# dpkg -l | grep openm
      ii openmediavault 3.0.59 all Open network attached storage solution
      ii openmediavault-clamav 3.2.7 all OpenMediaVault ClamAV plugin
      ii openmediavault-extplorer 1.3.1 all OpenMediaVault eXtplorer plugin
      ii openmediavault-keyring 1.0 all GnuPG archive keys of the OpenMediaVault archive
      ii openmediavault-omvextrasorg 3.4.16 all OMV-Extras.org Package Repositories for OpenMediaVault
      ii openmediavault-owncloud 2.0.3 all OpenMediaVault ownCloud plugin
      ii openmediavault-plexmediaserver 3.8.1 all OpenMediaVault Plex Media Server plugin
    • Using yes, creating only for single drives, not raid.

      Greetings
      David
      "Well... lately this forum has become support for everything except omv" [...] "And is like someone is banning Google from their browsers"

      Only two things are infinite, the universe and human stupidity, and I'm not sure about the former.


      Upload Logfile via WebGUI/CLI
      #openmediavault on freenode IRC | German & English | GMT+1
      Absolutely no Support via PM!

      I host parts of the omv-extras.org Repository, the OpenMediaVault Live Demo and the pre-built PXE Images. If you want you can take part and help covering the costs by having a look at my profile page.
    • Hello guys,

      i would like to upgrade my current OMV system, but im little bit confused if i should do it or no with command "omv-release-upgrade".

      ryecoaaron confirmed that the migration to 3.X should work, so pls it is safe now?

      My current system is backed up as a image using clonezilla

      EDIT:

      im using following plugins:
      root@openmediavault:~# dpkg -l | grep openm
      ii openmediavault 2.2.13 all Open network attached storage solution
      ii openmediavault-backup 1.0.11 all backup plugin for OpenMediaVault.
      ii openmediavault-fail2ban 1.1.5 all OpenMediaVault Fail2ban plugin
      ii openmediavault-keyring 0.4 all GnuPG archive keys of the OpenMediaVault archive
      ii openmediavault-mysql 2.1 all MySQL plugin for OpenMediaVault.
      ii openmediavault-nginx 2.4 all Nginx plugin for OpenMediaVault.
      ii openmediavault-omvextrasorg 2.13.7 all OMV-Extras.org Package Repositories for OpenMediaVault
      ii openmediavault-openvpn 1.1 all OpenVPN plugin for OpenMediaVault.
      ii openmediavault-sensors 1.0.23 all Provides a cpu temperature monitor
      ii openmediavault-subsonic 1.0.8 all A web-based music streamer, jukebox and Podcast receiver
      ii openmediavault-transmissionbt 1.4 all OpenMediaVault Transmission (BitTorrent client) plugin.
      ii openmediavault-virtualbox 1.3 all VirtualBox plugin for OpenMediaVault.
      ii openmediavault-websites 1.2 all Web sites plugin for OpenMediaVault.
      ii openmediavault-wol 1.0.4 all OpenMediaVault WOL plugin
      omv 2.2 on lenovo thinkpad R61 :thumbup:
    • Mio wrote:

      so pls it is safe now?
      Depends on the plugin and other packages that are installed. Since you have a good backup, try it.
      omv 3.0.76 erasmus | 64 bit | 4.9 backport kernel | omvextrasorg 3.4.25
      omv-extras.org plugins source code and issue tracker - github.com/OpenMediaVault-Plugin-Developers

      Please don't PM for support... Too many PMs!
    • so...

      Errors were encountered while processing:
      postfix
      bsd-mailx
      openmediavault
      openmediavault-omvextrasorg
      omvextras-common
      openmediavault-backup
      openmediavault-fail2ban
      openmediavault-mysql
      openmediavault-nginx
      openmediavault-openvpn
      openmediavault-sensors
      openmediavault-transmissionbt
      openmediavault-wol
      Creating index of upgradeable packages ...
      Creating index of openmediavault plugins ...
      E: Sub-process /usr/bin/dpkg returned an error code (1)

      samba shares are working, but i also received following error e-mails:

      Execution failed Service omv-engined

      Date: Sat, 18 Feb 2017 19:58:45
      Action: alert
      Host: localhost
      Description:failed to start (exit status 0) -- /etc/init.d/openmediavault-engined: StartingOpenMediaVault engine daemon: ERROR.

      also WEBGUI doesnt work... mmm should i restore it back to OMV 2.2?
      omv 2.2 on lenovo thinkpad R61 :thumbup: